# Class CanNotProbeException

Object
Throwable
Exception
DataStoreException
CanNotProbeException

All Implemented Interfaces:
  `Serializable`, `LocalizedException`

public class CanNotProbeException extends DataStoreException
Thrown when an unrecoverable error occurred during the probing of a file. This exception contains a reference to the provider that failed.

Since:
  1.2
See Also:
  - `DataStoreProvider​.probeContent(StorageConnector)`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CanNotProbeException(DataStoreProvider provider, String message, Throwable cause)`
  Creates an exception with the specified details message and cause.
  `CanNotProbeException(DataStoreProvider provider, StorageConnector connector, Throwable cause)`
  Creates a localized exception with a message saying that the given store cannot be processed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataStoreProvider`
  `getProvider()`
  Returns the data store provider that failed to probe a file.

  ### Methods inherited from class DataStoreException

  `getInternationalMessage, getLocalizedMessage, getMessage, initCause`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CanNotProbeException

    public CanNotProbeException(DataStoreProvider provider, String message, Throwable cause)
    Creates an exception with the specified details message and cause.
    Parameters:
      `provider` - the data store provider that failed to probe a file.
      `message` - the detail message in the default locale.
      `cause` - the cause for this exception.

  - ### CanNotProbeException

    public CanNotProbeException(DataStoreProvider provider, StorageConnector connector, Throwable cause)
    Creates a localized exception with a message saying that the given store cannot be processed.
    Parameters:
      `provider` - the data store provider that failed to probe a file.
      `connector` - the stream, file or other kind of resource that the store provider tried to probe.
      `cause` - the reason why the data store cannot be probed.

- ## Method Details

  - ### getProvider

    public DataStoreProvider getProvider()
    Returns the data store provider that failed to probe a file.
    Returns:
      the data store provider that failed to probe a file, or `null` if unknown.
    See Also:
      - `DataStore​.getProvider()`